.container {
  width: 100%;
}

.container.form-page {
  height: 100vh;
  grid-template-columns: minmax(0px, 500px) auto;
  transition: all ease 0.3s;
}

.form-page > .content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#desktopForm {
  display: flex;
  flex-direction: column;
  width: 90%;
  margin: 60px 0;
}

.row {
  display: flex;
  gap: 24px;
}

.column {
  display: flex;
  flex-direction: column;
  width: 100%;
}

#desktopForm > .row:not(.title-tab) {
  margin-bottom: 80px;
}

#desktopForm > .row.title-tab {
  padding: 10px;
  padding-top: 0;
  border-bottom: 1px solid #e8e8e8;
  margin-bottom: 32px;
}

#desktopForm > .row.title-tab > h2 {
  font-family: 'Roboto', sans-serif;
  color: #BABABA;
  font-size: 1.5rem;
  font-weight: 300;
}

/* DADOS ELEITORAIS */
#desktopForm > .row.electoral-data {
  justify-content: space-between;
}

#desktopForm > .row.electoral-data > .column:first-child {
  max-width: 837px;
  width: 100%;
}

#desktopForm > .row.electoral-data > .voter-registration-help {
  width: fit-content;
  gap: 10px;
}

#desktopForm > .row.electoral-data > .voter-registration-help > img {
  max-width: 347px;
  width: 100%;
}

#desktopForm > .row.electoral-data > .voter-registration-help > p {
  font-family: 'Roboto', sans-serif;
  font-size: 0.875rem;
  color: #8C8C8C;
  font-weight: 500;
}

#desktopForm > .row.electoral-data > .voter-registration-help > p > a {
  color: #005164;
}

#desktopForm > .row.electoral-data .address > .select-field:first-child {
  max-width: 250px;
  width: 100%;
}
/* FIM DADOS ELEITORAIS */

/* DADOS PESSOAIS */
#desktopForm > .row.personal-data .name-cpf > .input-field:last-child {
  max-width: 412px;
  width: 100%;
}

#desktopForm > .row.personal-data .indication > .select-field:first-child {
  max-width: 200px;
  width: 100%;
}
/* FIM DADOS PESSOAIS */

/* ENDERECO */
#desktopForm > .row.address .cep-uf-city > .input-field:first-child {
  max-width: 200px;
  width: 100%;
}

#desktopForm > .row.address .cep-uf-city > .select-field:nth-child(2) {
  max-width: 250px;
  width: 100%;
}

#desktopForm > .row.address .public-board-neighborhood-number > .input-field:last-child {
  max-width: 200px;
  width: 100%;
}
/* FIM ENDERECO */

/* CONTATO */
#desktopForm > .row.contact .whatsapp > .select-field:first-child {
  max-width: 330px;
  width: 100%;
}
/* FIM CONTATO */

/* INTERESSES */
#desktopForm > .row.interests .row {
  margin-bottom: 40px;
}

#desktopForm > .row.interests .row .column > p {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  color: #8C8C8C;
  font-weight: 400;
  margin-bottom: 13px;
}

#desktopForm > .row.interests .communication-types {
  /* display: grid;
  grid-template-columns: repeat(6, 1fr); */
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}

.communication-types > .communication-type {
  max-width: 190px;
  width: 100%;
  padding: 8px 32px;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgb( 0 0 0 / 15%);
  cursor: pointer;
}

.communication-types > .communication-type.checked {
  box-shadow: 0 0px 10px rgb(0, 81, 100);
}

.communication-types > .communication-type > label {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: 'Roboto', sans-serif;
  font-size: 0.875rem;
  color: #767676;
  font-weight: 500;
  cursor: pointer;
  gap: 16px;
}

.communication-types > .communication-type > input {
  display: none;
}
/* FIM INTERESSES*/

/* TERMOS E CONDICOES */
#desktopForm > .row.buttons {
  border-top: 1px solid #D1D1D1;
  display: flex;
  justify-content: flex-end;
  padding: 46px 0;
}

#desktopForm > .row.buttons .column {
  gap: 10px;
}

#desktopForm > .row.buttons .column > .checkbox-field > span,
#desktopForm > .row.buttons .column > .checkbox-field > label > a {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  text-transform: uppercase;
  font-weight: 500;
  color: #337483;
  text-decoration: none;
}

#desktopForm > .row.buttons .column:last-child {
  align-items: flex-end;
}

#desktopForm > .row.buttons .column > button {
  max-width: 260px;
  width: 100%;
  padding: 12px 22px;
  background-color: #005164;
  border: none;
  border-radius: 5px;
  font-family: 'Roboto', sans-serif;
  font-size: 0.9375rem;
  color: #fFF;
  font-weight: 500;
  text-transform: uppercase;
  cursor: pointer;
} 

#desktopForm > .row.buttons .column > button.loading > i {
  animation: loading 1s linear infinite;
}
/* FIM TERMOS E CONDICOES */

/* MODAIS */
.modal-message-mask,
.modal-confirm-mask,
.modal-success-mask {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(0,0,0,0.5);
}

.modal-message,
.modal-confirm,
.modal-success {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  max-width: 400px;
  min-width: 320px;
  padding: 24px 34px 40px;
  border-radius: 15px;
  background-color: #FFF;
  transform: translate(-50%,-50%);
  flex-direction: column;
  gap: 40px;
  align-items: center;
}

.modal-message > .modal-message--header,
.modal-confirm > .modal-confirm--header,
.modal-success > .modal-success--header {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}

.modal-message > .modal-message--header i,
.modal-confirm > .modal-confirm--header i,
.modal-success > .modal-success--header i {
  font-size: 24px;
  color: #767676;
  cursor: pointer;
}

.modal-message > .modal-message--content,
.modal-confirm > .modal-confirm--content,
.modal-success > .modal-success--content {
  display: flex;
  flex-direction: column;
}

.modal-message > .modal-message--footer,
.modal-confirm > .modal-confirm--footer,
.modal-success > .modal-success--footer {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.modal-message > .modal-message--footer button,
.modal-confirm > .modal-confirm--footer button,
.modal-success > .modal-success--footer button {
  width: 100%;
  padding: 12px 22px;
  background-color: #005164;
  border: none;
  border-radius: 5px;

  color: #FFF;
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  font-weight: 500;
  cursor: pointer;
}

.modal-message > .modal-message--footer button:nth-child(2),
.modal-confirm > .modal-confirm--footer button:nth-child(2),
.modal-success > .modal-success--footer button:nth-child(2) {
  background-color: #FFF;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.25);

  color: #005164;
}

.modal-message > .modal-message--content > label {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  font-family: 'Roboto', sans-serif;
  color: #313131;
  font-size: 1.5rem;
  font-weight: 800;
}

.modal-message > .modal-message--content > label i {
  font-size: 5rem;
  color: orange;
}

.modal-message > .modal-message--content > .mensagem p,
.modal-confirm > .modal-confirm--content > .content--loading p {
  margin-top: 15px;
  font-family: 'Roboto', sans-serif;
  text-align: center;
  font-size: 1rem;
  color: #767676;

}

.modal-confirm > .modal-confirm--content > .content--loading {
  text-align: center;
}

.modal-confirm > .modal-confirm--content > .content--message {
  text-align: center;
}

.modal-confirm > .modal-confirm--content > .content--message img,
.modal-success > .modal-success--content > .content--message img {
  width: 100%;
}

.modal-confirm > .modal-confirm--content > .content--message h1,
.modal-success > .modal-success--content > .content--message h1 {
  font-family: 'Roboto', sans-serif;
  color:#313131;
  text-align: center;
  font-size: 1.5rem;
  font-weight: 800;
}

.modal-confirm > .modal-confirm--content > .content--message p,
.modal-success > .modal-success--content > .content--message p {
  font-family: 'Roboto', sans-serif;
  font-size: 1rem;
  color: #767676;
  margin-top: 15px;
  text-align: center;
}
/* FIM MODAIS */

.click-blocker {
  display: none;
  width: 100vw;
  height: 100vh;
  position: fixed;
  background-color: rgb(0 0 0 / 10%);
}

@media (max-width: 1600px) {
  #desktopForm > .row.interests .communication-types {
    max-width: 800px;
  }
}

@media (max-width: 1340px) {
  .container.form-page {
    grid-template-columns: 1fr;
  }

  #desktopForm {
    gap: 0;
  }

  #desktopForm > .row:not(.electoral-data, .address, .buttons){
    flex-direction: column;
    gap: 0px;
  }

  #desktopForm > .row.interests .communication-types {
    max-width: fit-content;
  }
}

@media (max-width: 980px) {
  #desktopForm {
    max-width: 100vw;
    width: 100%;

    padding: 0 50px;
    margin: 50px 0 0;
  }

  #desktopForm > .row.interests .row.communication {
    flex-direction: column;
  }
  
  #desktopForm > .row.interests .row.communication > .column > .row {
    margin-bottom: 0;
  }
}

@media (max-width: 924px) {
  #desktopForm > .row.electoral-data > .voter-registration-help {
    display: none;
  }

  #desktopForm > .row.interests .communication-types {
    justify-content: space-around;
  }
}

@media (max-width: 820px) {
  #desktopForm {
    padding: 0 20px;
  }

  #desktopForm > .row.title-tab {
    margin-bottom: 16px;
  }

  #desktopForm > .row:not(.title-tab) {
    margin-bottom: 40px;
  }
}

@media (max-width: 760px) {
  .row {
    flex-direction: column;
    gap: 0;
  }

  #desktopForm > .row .input-field,
  #desktopForm > .row .select-field {
    max-width: 100% !important;
  }

  #desktopForm > .row.interests .row.communication > .column:first-child{
    margin-bottom: 10px;
  }

  
  #desktopForm > .row.interests .row.communication > .column > .row {
    gap: 10px;
  }

  #desktopForm > .row.buttons {
    gap: 16px;
    margin-bottom: 0;
  }

  #desktopForm > .row.buttons .column > button {
    max-width: 100%;
  }
}
 
@media (max-width: 500px) {
  #desktopForm > .row.interests .communication-types {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  #desktopForm > .row.interests .communication-type {
    max-width: 170px;
  }
}

@media (max-width: 400px) {
  #desktopForm > .row.interests .communication-types {
    display: flex;
    align-self: center;
  }

  #desktopForm > .row.interests .communication-type {
    max-width: 100%;
  }
}

@keyframes loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}